Re: Re: missing packages

2009-05-08 Thread Hicham Mouline
Hicham Mouline wrote:
Hello, I've asked about this before but I never got around to finish it.
On opening Help/Math, I get this error

Warning: Document class not available

The layout file requested by this document,
scrartcl.layout,
is not usable. This is probably because a LaTeX
class or style file required by it is not
available. See the Customization documentation
for more information.
LyX will not be able to produce output.
Do you have the KomaScript package installed? If you run 'kpsewhich
scrartcl.cls' in a terminal window/command shell, does it find the class
file?
/Paul

Hello,
C:\Program Files\LyX16\binkpsewhich scrartcl.cls
C:/Program Files/MiKTeX 2.7/tex/latex/koma-script/scrartcl.cls

I had some UNC issues though, when I start lyx from cmd,
C:\Program Files\LyX16\binlyx
LyX: reconfiguring user directory
'\\x.com\x\UserData-LN\hicham.mouline\Application Data\lyx16'
CMD.EXE was started with the above path as the current directory.
UNC paths are not supported.  Defaulting to Windows directory.
configure: TeX engine needs windows-style paths in latex files

I forced lyx to start with -userdir C:\Documents and
Settings\hicham.mouline
then that works perfectly.

Thanks very much,



Re: missing packages

2009-05-08 Thread Paul A. Rubin

Hicham Mouline wrote:



I had some UNC issues though, when I start lyx from cmd,
C:\Program Files\LyX16\binlyx
LyX: reconfiguring user directory
'\\x.com\x\UserData-LN\hicham.mouline\Application Data\lyx16'
CMD.EXE was started with the above path as the current directory.
UNC paths are not supported.  Defaulting to Windows directory.
configure: TeX engine needs windows-style paths in latex files

I forced lyx to start with -userdir C:\Documents and
Settings\hicham.mouline
then that works perfectly.


Makes sense.  LyX does not play well with UNC addresses, so having your 
home directory for LyX on a remote server is tricky.  If you map the 
server directory to a local drive letter, I think you'll be ok.


/Paul



Re: Re: missing packages

2009-05-08 Thread Hicham Mouline
Hicham Mouline wrote:
Hello, I've asked about this before but I never got around to finish it.
On opening Help/Math, I get this error

Warning: Document class not available

The layout file requested by this document,
scrartcl.layout,
is not usable. This is probably because a LaTeX
class or style file required by it is not
available. See the Customization documentation
for more information.
LyX will not be able to produce output.
Do you have the KomaScript package installed? If you run 'kpsewhich
scrartcl.cls' in a terminal window/command shell, does it find the class
file?
/Paul

Hello,
C:\Program Files\LyX16\binkpsewhich scrartcl.cls
C:/Program Files/MiKTeX 2.7/tex/latex/koma-script/scrartcl.cls

I had some UNC issues though, when I start lyx from cmd,
C:\Program Files\LyX16\binlyx
LyX: reconfiguring user directory
'\\x.com\x\UserData-LN\hicham.mouline\Application Data\lyx16'
CMD.EXE was started with the above path as the current directory.
UNC paths are not supported.  Defaulting to Windows directory.
configure: TeX engine needs windows-style paths in latex files

I forced lyx to start with -userdir C:\Documents and
Settings\hicham.mouline
then that works perfectly.

Thanks very much,



Re: missing packages

2009-05-08 Thread Paul A. Rubin

Hicham Mouline wrote:



I had some UNC issues though, when I start lyx from cmd,
C:\Program Files\LyX16\binlyx
LyX: reconfiguring user directory
'\\x.com\x\UserData-LN\hicham.mouline\Application Data\lyx16'
CMD.EXE was started with the above path as the current directory.
UNC paths are not supported.  Defaulting to Windows directory.
configure: TeX engine needs windows-style paths in latex files

I forced lyx to start with -userdir C:\Documents and
Settings\hicham.mouline
then that works perfectly.


Makes sense.  LyX does not play well with UNC addresses, so having your 
home directory for LyX on a remote server is tricky.  If you map the 
server directory to a local drive letter, I think you'll be ok.


/Paul



Re: Re: missing packages

2009-05-08 Thread Hicham Mouline
>>Hicham Mouline wrote:
>>Hello, I've asked about this before but I never got around to finish it.
>>On opening Help/Math, I get this error

>>Warning: Document class not available
>>
>>The layout file requested by this document,
>>scrartcl.layout,
>>is not usable. This is probably because a LaTeX
>>class or style file required by it is not
>>available. See the Customization documentation
>>for more information.
>>LyX will not be able to produce output.
>Do you have the KomaScript package installed? If you run 'kpsewhich
scrartcl.cls' in a terminal >window/command shell, does it find the class
file?
>/Paul

Hello,
C:\Program Files\LyX16\bin>kpsewhich scrartcl.cls
C:/Program Files/MiKTeX 2.7/tex/latex/koma-script/scrartcl.cls

I had some UNC issues though, when I start lyx from cmd,
C:\Program Files\LyX16\bin>lyx
LyX: reconfiguring user directory
'\\x.com\x\UserData-LN\hicham.mouline\Application Data\lyx16'
CMD.EXE was started with the above path as the current directory.
UNC paths are not supported.  Defaulting to Windows directory.
configure: TeX engine needs windows-style paths in latex files

I forced lyx to start with -userdir "C:\Documents and
Settings\hicham.mouline"
then that works perfectly.

Thanks very much,



Re: missing packages

2009-05-08 Thread Paul A. Rubin

Hicham Mouline wrote:



I had some UNC issues though, when I start lyx from cmd,
C:\Program Files\LyX16\bin>lyx
LyX: reconfiguring user directory
'\\x.com\x\UserData-LN\hicham.mouline\Application Data\lyx16'
CMD.EXE was started with the above path as the current directory.
UNC paths are not supported.  Defaulting to Windows directory.
configure: TeX engine needs windows-style paths in latex files

I forced lyx to start with -userdir "C:\Documents and
Settings\hicham.mouline"
then that works perfectly.


Makes sense.  LyX does not play well with UNC addresses, so having your 
home directory for LyX on a remote server is tricky.  If you map the 
server directory to a local drive letter, I think you'll be ok.


/Paul



Re: missing packages

2009-05-07 Thread Paul A. Rubin

Hicham Mouline wrote:
Hello, 
I've asked about this before but I never got around to finish it.

On opening Help/Math, I get this error

Warning: Document class not available

The layout file requested by this document,
scrartcl.layout,
is not usable. This is probably because a LaTeX
class or style file required by it is not
available. See the Customization documentation
for more information.
LyX will not be able to produce output.



The content of that file is
C:\Program Files\LyX16\Resources\layoutstype scrartcl.layout
#% Do not delete the line below; configure depends on this
#  \DeclareLaTeXClass[scrartcl]{article (KOMA-Script)}
# KOMA scrartcl textclass definition file.
# Bernd Rellermeyer 100.41...@germanynet.de, 1998/7/11.

Format 11
Input scrclass.inc

SecNumDepth 3
TocDepth3

NoStyle Chapter
NoStyle Chapter*
NoStyle Addchap
NoStyle Addchap*
NoStyle Addpart
NoStyle Dictum


Style Part
Align Left
TopSep2
BottomSep 1.5
Font
  SizeLarger
EndFont
End

Style Part*
Align Left
TopSep2
BottomSep 1.5
Font
  SizeLarger
EndFont
End

I don't understand what other dependencies are there?

Rds,


Do you have the KomaScript package installed?  If you run 'kpsewhich 
scrartcl.cls' in a terminal window/command shell, does it find the class 
file?


/Paul



Re: missing packages

2009-05-07 Thread Paul A. Rubin

Hicham Mouline wrote:
Hello, 
I've asked about this before but I never got around to finish it.

On opening Help/Math, I get this error

Warning: Document class not available

The layout file requested by this document,
scrartcl.layout,
is not usable. This is probably because a LaTeX
class or style file required by it is not
available. See the Customization documentation
for more information.
LyX will not be able to produce output.



The content of that file is
C:\Program Files\LyX16\Resources\layoutstype scrartcl.layout
#% Do not delete the line below; configure depends on this
#  \DeclareLaTeXClass[scrartcl]{article (KOMA-Script)}
# KOMA scrartcl textclass definition file.
# Bernd Rellermeyer 100.41...@germanynet.de, 1998/7/11.

Format 11
Input scrclass.inc

SecNumDepth 3
TocDepth3

NoStyle Chapter
NoStyle Chapter*
NoStyle Addchap
NoStyle Addchap*
NoStyle Addpart
NoStyle Dictum


Style Part
Align Left
TopSep2
BottomSep 1.5
Font
  SizeLarger
EndFont
End

Style Part*
Align Left
TopSep2
BottomSep 1.5
Font
  SizeLarger
EndFont
End

I don't understand what other dependencies are there?

Rds,


Do you have the KomaScript package installed?  If you run 'kpsewhich 
scrartcl.cls' in a terminal window/command shell, does it find the class 
file?


/Paul



Re: missing packages

2009-05-07 Thread Paul A. Rubin

Hicham Mouline wrote:
Hello, 
I've asked about this before but I never got around to finish it.

On opening Help/Math, I get this error

Warning: Document class not available

The layout file requested by this document,
scrartcl.layout,
is not usable. This is probably because a LaTeX
class or style file required by it is not
available. See the Customization documentation
for more information.
LyX will not be able to produce output.



The content of that file is
C:\Program Files\LyX16\Resources\layouts>type scrartcl.layout
#% Do not delete the line below; configure depends on this
#  \DeclareLaTeXClass[scrartcl]{article (KOMA-Script)}
# KOMA scrartcl textclass definition file.
# Bernd Rellermeyer <100.41...@germanynet.de>, 1998/7/11.

Format 11
Input scrclass.inc

SecNumDepth 3
TocDepth3

NoStyle Chapter
NoStyle Chapter*
NoStyle Addchap
NoStyle Addchap*
NoStyle Addpart
NoStyle Dictum


Style Part
Align Left
TopSep2
BottomSep 1.5
Font
  SizeLarger
EndFont
End

Style Part*
Align Left
TopSep2
BottomSep 1.5
Font
  SizeLarger
EndFont
End

I don't understand what other dependencies are there?

Rds,


Do you have the KomaScript package installed?  If you run 'kpsewhich 
scrartcl.cls' in a terminal window/command shell, does it find the class 
file?


/Paul



Re: Missing packages/programs for 1.5.6?

2008-10-13 Thread Keith Roberts
I have managed to export the EmbeddedObjects.lyx file as 
PDF(pdf2latex) and the images appear in the PDF document.


I also created a new document, imported a .jpg file and was 
able to preview it as PDF, and then print it out. So in 
regard to my previous post, everything I need seems to be

installed.

What threw me was the message at the top of the 
EmbeddedObjects.lyx file telling me that things would not 
work without certain scripts. I thought that Lyx had checked 
my configuration and determined that there was missing 
functionality.


Looking at the LyX log I see that most, if not all of those 
programs are installed. But they do not appear in LyX's 
Latex configuration page. I'm new to this so please bear 
with me!


I want to print out all the Help documentation that comes 
with Lyx.


Is there any way to set the document margin sizes in Lyx to 
my own custom values? The default values are quite large and 
seem to be wasting alot of paper.


Kind Regards,

Keith Roberts

On Sun, 12 Oct 2008, Keith Roberts wrote:


To: lyx-users@lists.lyx.org
From: Keith Roberts [EMAIL PROTECTED]
Subject: Missing packages/programs for 1.5.6?

Hi everyone. I'm using LyX 1.5.6 on Fedora 8. I'm really looking forward 
to producing some cool PDF documentation using Lyx.


I appear to have programs missing that are not allowing me to export the 
Lyx documentation to PDF format.


I loaded the EmbeddedObjects.lyx document into lyx, and tried to view it 
as PDF, without success. I enclose a screenshot showing the 
EmbeddedObjects.lyx document in Lyx.


The following programs are missing:

arydshln
colortbl
marginnote
sidecap

This is a default installation from the Fedora repositories using Smart 
Package Manager.


What do I need to do to get the missing packages/programs so I can export 
my lyx docs with embedded images to PDF? I looked through the packages 
for anything to do with 'tex', but cannot find the above programs.


I want to write some PDF documentation with embedded images.

Fedora 8 uses tetex: 'TeTeX is an implementation of TeX for Linux or UNIX 
systems.'


Kind Regards,

Keith Roberts

-
Websites:
http://www.php-debuggers.net
http://www.karsites.net
http://www.raised-from-the-dead.org.uk

The mind of the prudent is ever getting knowledge, and the
eear of the wise is ever seeking, inquiring for and craving
knowledge. Pr. 18:15 Amp

Where will you spend Eternity?
http://www.fellowshiptractleague.org/tracts/images/PDF/tract_130.pdf

All email addresses are challenge-response protected with
TMDA [http://tmda.net]
-


Re: Missing packages/programs for 1.5.6?

2008-10-13 Thread Keith Roberts
I have managed to export the EmbeddedObjects.lyx file as 
PDF(pdf2latex) and the images appear in the PDF document.


I also created a new document, imported a .jpg file and was 
able to preview it as PDF, and then print it out. So in 
regard to my previous post, everything I need seems to be

installed.

What threw me was the message at the top of the 
EmbeddedObjects.lyx file telling me that things would not 
work without certain scripts. I thought that Lyx had checked 
my configuration and determined that there was missing 
functionality.


Looking at the LyX log I see that most, if not all of those 
programs are installed. But they do not appear in LyX's 
Latex configuration page. I'm new to this so please bear 
with me!


I want to print out all the Help documentation that comes 
with Lyx.


Is there any way to set the document margin sizes in Lyx to 
my own custom values? The default values are quite large and 
seem to be wasting alot of paper.


Kind Regards,

Keith Roberts

On Sun, 12 Oct 2008, Keith Roberts wrote:


To: lyx-users@lists.lyx.org
From: Keith Roberts [EMAIL PROTECTED]
Subject: Missing packages/programs for 1.5.6?

Hi everyone. I'm using LyX 1.5.6 on Fedora 8. I'm really looking forward 
to producing some cool PDF documentation using Lyx.


I appear to have programs missing that are not allowing me to export the 
Lyx documentation to PDF format.


I loaded the EmbeddedObjects.lyx document into lyx, and tried to view it 
as PDF, without success. I enclose a screenshot showing the 
EmbeddedObjects.lyx document in Lyx.


The following programs are missing:

arydshln
colortbl
marginnote
sidecap

This is a default installation from the Fedora repositories using Smart 
Package Manager.


What do I need to do to get the missing packages/programs so I can export 
my lyx docs with embedded images to PDF? I looked through the packages 
for anything to do with 'tex', but cannot find the above programs.


I want to write some PDF documentation with embedded images.

Fedora 8 uses tetex: 'TeTeX is an implementation of TeX for Linux or UNIX 
systems.'


Kind Regards,

Keith Roberts

-
Websites:
http://www.php-debuggers.net
http://www.karsites.net
http://www.raised-from-the-dead.org.uk

The mind of the prudent is ever getting knowledge, and the
eear of the wise is ever seeking, inquiring for and craving
knowledge. Pr. 18:15 Amp

Where will you spend Eternity?
http://www.fellowshiptractleague.org/tracts/images/PDF/tract_130.pdf

All email addresses are challenge-response protected with
TMDA [http://tmda.net]
-


Re: Missing packages/programs for 1.5.6?

2008-10-13 Thread Keith Roberts
I have managed to export the EmbeddedObjects.lyx file as 
PDF(pdf2latex) and the images appear in the PDF document.


I also created a new document, imported a .jpg file and was 
able to preview it as PDF, and then print it out. So in 
regard to my previous post, everything I need seems to be

installed.

What threw me was the message at the top of the 
EmbeddedObjects.lyx file telling me that things would not 
work without certain scripts. I thought that Lyx had checked 
my configuration and determined that there was missing 
functionality.


Looking at the LyX log I see that most, if not all of those 
programs are installed. But they do not appear in LyX's 
Latex configuration page. I'm new to this so please bear 
with me!


I want to print out all the Help documentation that comes 
with Lyx.


Is there any way to set the document margin sizes in Lyx to 
my own custom values? The default values are quite large and 
seem to be wasting alot of paper.


Kind Regards,

Keith Roberts

On Sun, 12 Oct 2008, Keith Roberts wrote:


To: lyx-users@lists.lyx.org
From: Keith Roberts <[EMAIL PROTECTED]>
Subject: Missing packages/programs for 1.5.6?

Hi everyone. I'm using LyX 1.5.6 on Fedora 8. I'm really looking forward 
to producing some cool PDF documentation using Lyx.


I appear to have programs missing that are not allowing me to export the 
Lyx documentation to PDF format.


I loaded the EmbeddedObjects.lyx document into lyx, and tried to view it 
as PDF, without success. I enclose a screenshot showing the 
EmbeddedObjects.lyx document in Lyx.


The following programs are missing:

arydshln
colortbl
marginnote
sidecap

This is a default installation from the Fedora repositories using Smart 
Package Manager.


What do I need to do to get the missing packages/programs so I can export 
my lyx docs with embedded images to PDF? I looked through the packages 
for anything to do with 'tex', but cannot find the above programs.


I want to write some PDF documentation with embedded images.

Fedora 8 uses tetex: 'TeTeX is an implementation of TeX for Linux or UNIX 
systems.'


Kind Regards,

Keith Roberts

-
Websites:
http://www.php-debuggers.net
http://www.karsites.net
http://www.raised-from-the-dead.org.uk

The mind of the prudent is ever getting knowledge, and the
eear of the wise is ever seeking, inquiring for and craving
knowledge. Pr. 18:15 Amp

Where will you spend Eternity?
http://www.fellowshiptractleague.org/tracts/images/PDF/tract_130.pdf

All email addresses are challenge-response protected with
TMDA [http://tmda.net]
-